OpenTTD Source: MusicSettings Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
MusicSettings Struct Reference

Settings related to music. More...

`#include <settings_type.h>`

## Data Fields
uint8_t | playlist
| The playlist (number) to play.
uint8_t | music_vol
| The requested music volume.
uint8_t | effect_vol
| The requested effects volume.
uint8_t | custom_1 [33]
| The order of the first custom playlist.
uint8_t | custom_2 [33]
| The order of the second custom playlist.
bool | playing
| Whether music is playing.
bool | shuffle
| Whether to shuffle the music.

## Detailed Description

Settings related to music.

Definition at line 283 of file settings_type.h.

## Field Documentation

## ◆ custom_1

uint8_t MusicSettings::custom_1[33]

The order of the first custom playlist.

Definition at line 287 of file settings_type.h.

Referenced by MusicSystem::BuildPlaylists(), and MusicSystem::SaveCustomPlaylist().

## ◆ custom_2

uint8_t MusicSettings::custom_2[33]

The order of the second custom playlist.

Definition at line 288 of file settings_type.h.

Referenced by MusicSystem::BuildPlaylists(), and MusicSystem::SaveCustomPlaylist().

## ◆ effect_vol

uint8_t MusicSettings::effect_vol

The requested effects volume.

Definition at line 286 of file settings_type.h.

Referenced by MusicWindow::DrawWidget(), GameOptionsWindow::DrawWidget(), MusicWindow::OnClick(), GameOptionsWindow::OnClick(), and AfterNewGRFScan::OnNewGRFsScanned().

## ◆ music_vol

uint8_t MusicSettings::music_vol

The requested music volume.

Definition at line 285 of file settings_type.h.

Referenced by MusicWindow::DrawWidget(), GameOptionsWindow::DrawWidget(), MusicWindow::OnClick(), GameOptionsWindow::OnClick(), and AfterNewGRFScan::OnNewGRFsScanned().

## ◆ playing

bool MusicSettings::playing

Whether music is playing.

Definition at line 289 of file settings_type.h.

Referenced by MusicSystem::ChangePlaylist(), MusicSystem::IsPlaying(), MusicSystem::Next(), MusicSystem::Play(), MusicSystem::Prev(), and MusicSystem::Stop().

## ◆ playlist

uint8_t MusicSettings::playlist

The playlist (number) to play.

Definition at line 284 of file settings_type.h.

Referenced by MusicSystem::ChangePlaylist(), MusicSystem::CheckStatus(), MusicTrackSelectionWindow::GetWidgetString(), MusicTrackSelectionWindow::OnInvalidateData(), and MusicWindow::OnInvalidateData().

## ◆ shuffle

bool MusicSettings::shuffle

Whether to shuffle the music.

Definition at line 290 of file settings_type.h.

Referenced by MusicSystem::ChangePlaylist(), MusicSystem::IsShuffle(), MusicSystem::Shuffle(), and MusicSystem::Unshuffle().

The documentation for this struct was generated from the following file:

- src/settings_type.h